## qtbase-opensource-src 5.15.1.5+dde

=== debian/changelog ===
qtbase-opensource-src (5.15.1.5+dde-1+eagle) unstable; urgency=medium

  * update

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 09 Apr 2021 13:32:03 +0800

qtbase-opensource-src (5.15.1.5-1+dde) experimental; urgency=medium

  * Add setting the ICON size attribute in lineedit to the style plugin:
    - add-setting-thc-ICON-size-attribute-in-lineedit-to-the-style-plugin.patch

  [ Zhang Hao ]
  * fix QListView can not drag item:
    - fix-QListView-can-not-drag-item.patch

  -- Tang Haixiang <tanghaixiang@uniontech.com>  Fri Mar 12 11:08:13 2021 +0800

qtbase-opensource-src (5.15.1.4-1+dde) experimental; urgency=medium

  * fix shortcut show in menu with default:
    - fix-shortcut-show-in-menu-with-default.patch

  [ Tang Haixiang ]
  * Gif decoder fix read error caused by ub check:
    - QTBUG-86702-fix-read-error-caused-by-ub-check.patch

  -- Zhang Hao <zhanghao@uniontech.com>  Thu Mar 4 20:08:13 2021 +0800

qtbase-opensource-src (5.15.1.1-1+dde) experimental; urgency=medium

  [ Tang Haixiang ]
  * Fix the issue that getting DPi is invalid value under no screen.

  * Fix _NET_SUPPORTED attribute cannot be updated:
    -- fix-_NET_SUPPORTED-attribute-cannot-be-updated.patch

  [ Zhang Hao ]
  * Fix QComboBox currentText return placeholderText:
    - QTBUG-86580-fix-QComboBox-currentText-return-placeholderText.patch

  * Fix QGraphicsItem crash if click right button of mouse：
    - QTBUG-86857-fix-support-of-style-sheet-rule-for-text-alignment.patch

  * Fix QSFPM not emitting dataChanged when source model is set:
    - QTBUG-87483-Fix-QFontDialog-selectedFont-does-not-return-actual-selected-font.patch

  * Fix support of style sheet rule for text alignment:
    - QTBUG-87781-Fix-QSFPM-not-emitting-dataChanged-when-source-model-is-set.patch

  * Fix regular expression initialize with incorrect filters:
    - QTBUG-88227-Fix-regular-expression-initialize-with-incorrect-filters.patch

  * Fix invalid QSortFilterProxyModel::dataChanged parameters:
    - QTBUG-88309-Fix-QGraphicsItem-crash-if-click-right-button-of-mouse.patch

  * Fix QFontDialog::selectedFont() does not return actual selected font:
    - QTBUG-86850-Fix-invalid-QSortFilterProxyModel-dataChanged-parameters.patch

  * Fix single finger to scroll invalid when view set setViewportMargins.

  * Delete files that do not comply with DFSG, these files are described in the copyright file. Fix lintian detection problem

  * Fix QDoubleSpinbox and QSpinbox not change value when mouse scroll:
    -- fix-QDoubleSpinbox-and-QSpinbox-not-change-value-when-mouse-scroll.patch

  [ Lu YaNing ]
  * add symbols:
    - debian/libqt5core5a.symbols.i386
    - debian/libqt5gui5.symbols.i386
    - debian/libqt5network5.symbols.i386
    - debian/libqt5widgets5.symbols.i386
  
  * add symbols:
    - debian/libqt5core5a.symbols.mips64el
    - debian/libqt5network5.symbols.mips64el
    - debian/libqt5widgets5.symbols.mips64el

  * add symbols:
    - debian/libqt5core5a.symbols.sw_64
    - debian/libqt5network5.symbols.sw_64
    - debian/libqt5widgets5.symbols.sw_64
    
  * Fix QLineEdit Cursor Rect and InputMask area overlapping,the cursor rect area is white:
    - QTBUG-89578-QLineEdit-cursor-show-white-area-when-set-inputMask.patch

 -- Zhang Hao <zhanghao@uniontech.com>  Tue, 22 Dec 2020 17:17:17 +0800

qtbase-opensource-src (5.15.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop all patches that have been included in the new release:
    - CVE-2015-9541.diff
    - CVE-2020-17507.diff
    - CVE-2020-13962.diff
    - enable_a11y_on_linux.diff
    - fix_qlibrary_deadlock.diff
    - moc_handle_includes.diff
    - no_isystem.diff
    - clarify_pic_message.diff
  * Refresh other patches.
  * Update symbols files from buildds’ logs.
  * Update to debhelper compat level 13.
    - Drop dh_missing override, --fail-missing is now default behavior.
    - Use ${DEB_HOST_MULTIARCH} substitution.
    - Stop using dh-exec for .links files, as debhelper now supports
      substitutions natively.
  * Bump qttools build-dependencies to 5.15.
  * Bump ABI version to qtbase-abi-5-15-1.
  * Update debian/copyright using debian/scripts/update-copyright.
  * Manually update non-generated part of debian/copyright.
  * Update install files for the new release.
  * Update symbols files from the current build log.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 10 Sep 2020 14:41:18 +0300

   *remove the X11 True and False for good：
     - remove-the-X11-True-and-False.patch
