## qtbase-opensource-src 5.15.1.9

=== debian/changelog ===
qtbase-opensource-src (5.15.1.9-1+dde) unstable; urgency=medium

  * update

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 23 Nov 2021 09:44:05 +0800

qtbase-opensource-src (5.15.1.9-1+dde) experimental; urgency=medium

  [ Zhang Hao ]
  * Take overshoot into account when laying out QAbstractScrollArea:
    -- QTBUG-94769-Take-overshoot-into-account-when-laying-out-QAbstractScrollArea.patch
  * QAbstractItemView: auto-scroll with selection rectangle
    -- QTBUG-96124-QAbstractItemView-auto-scroll-with-selection-rectangle.patch
  * Revert fix-shortcut-show-in-menu-with-default.patch
    -- The theme of the platform is changed to DTK processing
  * Fix plaintextEdit draw text with clipRect should consider cusorWidth:
    -- QTBUG-94028-plaintextEdit-draw-text-with-clipRect-should-consider-cusorWidth.patch
  * QFontComboBox don't response qApp fontDatabaseChanged:
    -- QTBUG-98099-QFontComboBox-do-not-response-qApp-fontDatabaseChanged.patch

  -- Zhang Hao <zhanghao@uniontech.com>  Fri Oct 15 10:06:12 2021 +0800

qtbase-opensource-src (5.15.1.8-1+dde) experimental; urgency=medium

  [ Zhang Hao ]
  * Account for the placeholderText when computing lineRect:
    -- QTBUG-95341-Account-for-the-placeholderText-when-computing-lineRect.patch
  * Fix QTextEdit cursor rectangle vertical positioning:
    -- QTBUG-96288-Fix-QTextEdit-cursor-rectangle-vertical-positioning.patch

  [ Fan RuiJie ]
  * Fix text ellipsis not implemented in Tibetan:
    -- QTBUG-95942-Fix-text-ellipsis-not-implemented-in-Tibetan.patch

  -- Zhang Hao <zhanghao@uniontech.com>  Tue Aug 24 09:01:10 2021 +0800

qtbase-opensource-src (5.15.1.7-1+dde) experimental; urgency=medium

  [ Tang Haixiang ]
  * Fix PageDown behavior and PageUP
    -- QTBUG-92583-fix-pagedown-behavior-and-pageup.patch
  * xcb fix cursorTheme update issue:
    -- QTBUG-94538-fix-cursorTheme-update-issue.patch
  * Close all popup windows when the screen is rotated
    -- QTBUG-95607-Close-all-popup-windows-when-the-screen-is-rotated.patch

  [ Fan RuiJie ]
  * Fix misplacement of placeholder text in QLineEdit with RTL content
    -- QTBUG-93742-fix-misplacement-of-placeholder-text-in-QLineEdit-with-RTL-content.patch
  * Fix placement of placeholder text in QLineEdits with action icons
    -- QTBUG-94824-fix-placement-of-placeholder-text-in-QLineEdits-with-action-icons.patch
  * Fix layout direction on keyboard input:
    -- QTBUG-95011-do-not-change-layout-direction-on-keyboard-input.patch

  [ Zhang Hao ]
  * Check scrollbar ScrollBarOverlap when computing QListView margins:
    -- QTBUG-94248-Check-scrollbar-ScrollBarOverlap-when-computing-QListView-margins.patch
  * Assertion violation in text shaping on special string with EmojiOneColor font:
    -- QTBUG-89155-Assertion-violation-in-text-shaping-on-special-string-with-EmojiOneColor-font.patch

  [ Lu YaNing ]
  * fix QLineEdit cursor jumping issue:
    -- fix-QLineEdit-cursor-jumping-on-touch-screen.patch

 -- tanghaixiang <tanghaixiang@uniontech.com>  Mon, May 31 13:24:30 2021 +0800

qtbase-opensource-src (5.15.1.6-1+dde) experimental; urgency=medium

  * QTextEdit cursor is drawn incorrectly:
    - QTBUG-92468-fix-qtextedit-cursor-drawn-incorrectly.patch
  * Fusion style don't use large icons in QLineEdit:
    - QTBUG-92460-don-use-large-icons-in-qlineedit.patch

  [ Zhang Hao ]
  * Check scrollbar visibility when computing QListView margins:
    - QTBUG-92366-Check-scrollbar-visibility-when-computing-QListView-Margins.patch

  -- Tang Haixiang <tanghaixiang@uniontech.com>  Tue Apr 20 14:08:13 2021 +0800
