=== debian/control ===
--- 
+++ 
@@ -23,8 +23,8 @@
                libfontconfig1-dev,
                libfreetype6-dev,
                libgbm-dev [linux-any kfreebsd-any],
-               libgl-dev,
-               libgles-dev,
+               libgl1-mesa-dev | libgl-dev,
+               libgles2-mesa-dev | libgles2-dev,
                libglib2.0-dev,
                libglu1-mesa-dev | libglu-dev,
                libgtk-3-dev,
@@ -33,7 +33,6 @@
                libinput-dev [linux-any],
                libjpeg-dev,
                libkrb5-dev,
-               libmd4c-dev,
                libmtdev-dev [linux-any],
                libpcre2-dev,
                libpng-dev,
@@ -73,9 +72,7 @@
                qt5-qmake-bin <cross>,
                unixodbc-dev,
                zlib1g-dev
-Build-Depends-Indep: qdoc-qt5 (>= 5.14~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.14~) <!nodoc>,
-                     qtattributionsscanner-qt5 <!nodoc>
+Build-Depends-Indep: qttools5-dev-tools (>= 5.11.3-1~) <!nodoc>
 Standards-Version: 4.5.0
 Homepage: https://www.qt.io/developers/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtbase.git
@@ -85,13 +82,11 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Provides: qtbase-abi-5-14-2
+Provides: qtbase-abi-5-15-1
 Depends: shared-mime-info, ${misc:Depends}, ${shlibs:Depends}
 Recommends: qttranslations5-l10n
 Suggests: libthai0
-Breaks: libqt5scintilla2-12v5 (<< 2.9.2+dfsg-2~),
-        libqtcore4 (<< 4:4.8.7+dfsg-20~)
-Replaces: libqtcore4 (<< 4:4.8.7+dfsg-20~)
+Breaks: libqt5scintilla2-12v5 (<< 2.9.2+dfsg-2~)
 Description: Qt 5 core module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -337,3 +332,5 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
+Depends: libgl1-mesa-dev [!armel !armhf] | libgl-dev [!armel !armhf],
+         libgles2-mesa-dev [armel armhf] | libgles2-dev [armel armhf],
