=== debian/rules ===
--- 
+++ 
@@ -124,7 +124,6 @@
 	            -compile-examples \
 	            -no-directfb \
 	            -no-use-gold-linker \
-	            -no-mimetype-database \
 	            -no-feature-relocatable \
 	            $(extra_configure_opts) \
 	            $(cpu_opt) \
