=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                default-libmysqlclient-dev,
                dh-exec,
                dpkg-dev (>= 1.17.14),
@@ -23,8 +23,8 @@
                libfontconfig1-dev,
                libfreetype6-dev,
                libgbm-dev [linux-any kfreebsd-any],
-               libgl1-mesa-dev | libgl-dev,
-               libgles2-mesa-dev | libgles2-dev,
+               libgl-dev,
+               libgles-dev,
                libglib2.0-dev,
                libglu1-mesa-dev | libglu-dev,
                libgtk-3-dev,
@@ -33,6 +33,7 @@
                libinput-dev [linux-any],
                libjpeg-dev,
                libkrb5-dev,
+               libmd4c-dev,
                libmtdev-dev [linux-any],
                libpcre2-dev,
                libpng-dev,
@@ -55,6 +56,7 @@
                libxcb-shape0-dev,
                libxcb-shm0-dev,
                libxcb-sync-dev,
+               libxcb-util-dev,
                libxcb-xfixes0-dev,
                libxcb-xinerama0-dev,
                libxcb-xinput-dev,
@@ -72,8 +74,10 @@
                qt5-qmake-bin <cross>,
                unixodbc-dev,
                zlib1g-dev
-Build-Depends-Indep: qttools5-dev-tools (>= 5.11.3-1~) <!nodoc>
-Standards-Version: 4.5.0
+Build-Depends-Indep: qdoc-qt5 (>= 5.15~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15~) <!nodoc>,
+                     qtattributionsscanner-qt5 <!nodoc>
+Standards-Version: 4.5.1
 Homepage: https://www.qt.io/developers/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtbase.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtbase
@@ -82,11 +86,13 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Provides: qtbase-abi-5-15-1
+Provides: qtbase-abi-5-15-2
 Depends: shared-mime-info, ${misc:Depends}, ${shlibs:Depends}
 Recommends: qttranslations5-l10n
 Suggests: libthai0
-Breaks: libqt5scintilla2-12v5 (<< 2.9.2+dfsg-2~)
+Breaks: libqt5scintilla2-12v5 (<< 2.9.2+dfsg-2~),
+        libqtcore4 (<< 4:4.8.7+dfsg-20~)
+Replaces: libqtcore4 (<< 4:4.8.7+dfsg-20~)
 Description: Qt 5 core module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -103,6 +109,7 @@
         libqt5xcbqpa5 (<< 5.6.0~beta+dfsg-5~)
 Replaces: libqt5egldeviceintegration5 (<< 5.6.0~beta+dfsg-5~),
           libqt5xcbqpa5 (<< 5.6.0~beta+dfsg-5~)
+Conflicts: libqt5gui5-gles
 Suggests: qt5-image-formats-plugins, qtwayland5
 Description: Qt 5 GUI module
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -329,8 +336,3 @@
  portable.
 
 Package: qtbase5-dev
-Architecture: any
-Multi-Arch: same
-Section: libdevel
-Depends: libgl1-mesa-dev [!armel !armhf] | libgl-dev [!armel !armhf],
-         libgles2-mesa-dev [armel armhf] | libgles2-dev [armel armhf],
