=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,7 @@
 endif
 
 # Compile without sse2 support on i386
-# Do not use pre compiled headers in order to be able to rebuild the gui
+# Do not use precompiled headers in order to be able to rebuild the gui
 # submodule.
 ifeq ($(DEB_HOST_ARCH_CPU),i386)
 	cpu_opt = -no-sse2 -no-pch
@@ -124,7 +124,9 @@
 	            -compile-examples \
 	            -no-directfb \
 	            -no-use-gold-linker \
+	            -no-mimetype-database \
 	            -no-feature-relocatable \
+	            -xcb-native-painting \
 	            $(extra_configure_opts) \
 	            $(cpu_opt) \
 	            QMAKE_CFLAGS="$(CFLAGS)" \
@@ -226,7 +228,7 @@
 	cd $(CURDIR)/src/corelib; $(MAKE) clean; ../../bin/qmake -config sse2; $(MAKE)
 	cp -av lib/libQt5Core.so.* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sse2/
 
-	# gui on turn doesn't needs it, and actually fails if done.
+	# gui on turn doesn't need it, and actually fails if done.
 	cd $(CURDIR)/src/gui; ../../bin/qmake -config sse2; $(MAKE)
 	cp -av lib/libQt5Gui.so.* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sse2/
 endif
@@ -239,5 +241,5 @@
 	sed -i "s,lib/qt5/bin,lib/$(DEB_HOST_MULTIARCH)/qt5/bin," \
 		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/Qt5Core.pc
 
-	# Configuration file for qt5-default package
-	mkdir -p $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qtchooser
+	# Remove leftover directories
+	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5 -depth -type d \( -false \
